#include "FooFactory.hxx"
#include "Foo68K.hxx"
#include "FooPalmSim.hxx"
#include "FooARM.hxx"
#include "DeviceTraits.hxx"

static Foo68K		foo68K;
static FooPalmSim	fooPalmSim;
static FooARM		fooARM;

const Foo& FooFactory::GetFoo( bool force68K ) {
	if( force68K )
		return foo68K;
	switch( DeviceTraits::GetProcessorType( ) ) {
		case DeviceTraits::PROCESSORTYPE_ARM:		return fooARM;
		case DeviceTraits::PROCESSORTYPE_SIMULATOR:	return fooPalmSim;
		case DeviceTraits::PROCESSORTYPE_LEGACY68K:	return foo68K;
	}
	return foo68K;
}



